Bug 177275 - Review Request: perl-AnyData: Easy access to data in many formats
Summary: Review Request: perl-AnyData: Easy access to data in many formats
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Tanguy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 177276
TreeView+ depends on / blocked
 
Reported: 2006-01-08 18:29 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 21:25:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom "spot" Callaway 2006-01-08 18:29:10 UTC
Spec Name or Url: http://www.auroralinux.org/people/spot/review/perl-AnyData.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/perl-AnyData-0.10-1.src.rpm
Description: 

The AnyData modules provide simple and uniform access to data from
many sources -- perl arrays, local files, remote files retrievable via
http or ftp -- and in many formats including flat files (CSV, Fixed
Length, Tab Delimited, etc), standard format files (Web Logs,
Passwd files, etc.),  structured files (XML, HTML Tables) and binary
files with parseable headers (mp3s, jpgs, pngs, etc).

There are two separate modules, each providing a different interface:
AnyData.pm provides a simple tied hash interface and DBD::AnyData
provides a DBI/SQL interface.  You can use either or both depending on
your needs.

This package is a new BuildRequires for perl-Class-DBI-AbstractSearch.

Comment 1 Eric Tanguy 2006-01-25 16:59:11 UTC
Review for release 1:
* RPM name is OK
* Source AnyData-0.10.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of perl-AnyData looks OK
* File list of perl-AnyData looks OK

Needs work:
* BuildRequires: perl should not be included
  (wiki: PackagingGuidelines#Exceptions)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* The package should contain the text of the license
  (wiki: PackageReviewGuidelines)


Comment 2 Paul Howarth 2006-02-02 17:40:46 UTC
(In reply to comment #1)
> Review for release 1:
> * RPM name is OK
> * Source AnyData-0.10.tar.gz is the same as upstream
> * Builds fine in mock
> * rpmlint of perl-AnyData looks OK
> * File list of perl-AnyData looks OK
> 
> Needs work:
> * BuildRequires: perl should not be included
>   (wiki: PackagingGuidelines#Exceptions)
> * Missing SMP flags. If it doesn't build with it, please add a comment
>   (wiki: PackagingGuidelines#parallelmake)

Agreed.

> * The package should contain the text of the license
>   (wiki: PackageReviewGuidelines)

This only applies of the upstream tarball includes the license text, which this
one doesn't.



Comment 4 Eric Tanguy 2006-04-03 20:24:13 UTC
Review for release 2:
* RPM name is OK
* Source AnyData-0.10.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of perl-AnyData looks OK
* File list of perl-AnyData looks OK
APPROVED


Note You need to log in before you can comment on or make changes to this bug.